package de.banananetwork.dsa.aspects;

import de.banananetwork.dsa.descriptions.Descriptiable;
import de.banananetwork.dsa.descriptions.Description;
import de.banananetwork.dsa.requirements.AdventurePointsPriceLabeled;

public class Aspect implements Descriptiable, AdventurePointsPriceLabeled {

	private final Kind kind;
	private final Description description;
	private final int apCost;


	@Override
	public Description getDescription() {
		return description;
	}

	@Override
	public int getRequiredAdventurePoints() {
		return apCost;
	}

	public enum Kind {
		ADVANTAGE, DISADVANTAGE
	}

}
